### Method

# Snapd Snap get_revision

since: 1.0

#### Declaration [src]

    const gchar*
    snapd_snap_get_revision (
      SnapdSnap* snap
    )

#### Description [src]

Get the revision for this snap. The format of the string is undefined. See also snapd_snap_get_version().

Available since: 1.0

Gets property | `Snapd.Snap:revision`

#### Return value

Type: `const gchar*`

A revision string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.